This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881913 - hostname: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
hostname: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hostname (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-29 13:45 EST by Michal Schmidt
Modified: 2012-12-06 02:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 02:22:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 13:45:15 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found in hostname/hostname.1:
  The host name is usually set once at system startup in
  .I /etc/rc.d/rc.sysinit
  (normally by reading the contents of a file which contains
  the host name, e.g.
  .IR /etc/sysconfig/network ).

This isn't correct anymore. rc.sysinit does not exist. The hostname is set by systemd itself. And it's read from /etc/hostname.

Please update the package for the new config files.
Comment 1 Fedora Update System 2012-11-30 06:24:42 EST
hostname-3.11-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hostname-3.11-3.fc18
Comment 2 Fedora Update System 2012-11-30 15:28:58 EST
Package hostname-3.11-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hostname-3.11-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19417/hostname-3.11-4.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-06 02:23:01 EST
hostname-3.11-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.